diff --git a/pki/base/common/src/com/netscape/cmscore/request/RequestRepository.java b/pki/base/common/src/com/netscape/cmscore/request/RequestRepository.java
index 92c162ca8a701d9b33117cb0e32700f740a569cc..0a4a4ebf9064350e532ed074b25677b94aac352a 100644
--- a/pki/base/common/src/com/netscape/cmscore/request/RequestRepository.java
+++ b/pki/base/common/src/com/netscape/cmscore/request/RequestRepository.java
@@ -18,12 +18,12 @@
 package com.netscape.cmscore.request;
 
 import java.math.BigInteger;
-import java.util.Enumeration;
 
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.dbs.EDBException;
 import com.netscape.certsrv.dbs.IDBSSession;
+import com.netscape.certsrv.dbs.IDBSearchResults;
 import com.netscape.certsrv.dbs.IDBSubsystem;
 import com.netscape.certsrv.dbs.Modification;
 import com.netscape.certsrv.dbs.ModificationSet;
@@ -109,10 +109,10 @@ class RequestRepository
     public void removeAllObjects() throws EBaseException {
         IDBSSession s = mDB.createSession();
         try {
-            Enumeration e = s.search(getBaseDN(),
+            IDBSearchResults sr = s.search(getBaseDN(),
                                "(" + RequestRecord.ATTR_REQUEST_ID + "=*)");
-            while (e.hasMoreElements()) {
-                RequestRecord r = (RequestRecord) e.nextElement();
+            while (sr.hasMoreElements()) {
+                RequestRecord r = (RequestRecord) sr.nextElement();
                 String name = "cn" + "=" +
                         r.getRequestId().toString() + "," + getBaseDN();
                 s.delete(name);
diff --git a/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java b/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
index a4f6ee9a02cb0e6f1054dab2ccf40d3435872f68..b6aaa02cc7308f80940397d149cc076d2bb85c38 100644
--- a/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
@@ -1692,7 +1692,6 @@ public final class JssSubsystem implements ICryptoSubsystem {
                 for (int i = 0; i < allcerts.length; i++) {
                     try {
                         X509CertImpl certImpl = new X509CertImpl(allcerts[i].getEncoded());
-                        String certIssuerName = certImpl.getSubjectDN().getName();
                         Principal certPrincipal = certImpl.getSubjectDN();
                         DN certdn = new DN(certPrincipal.getName());
                         BigInteger certSerialNo = certImpl.getSerialNumber();
diff --git a/pki/base/common/src/com/netscape/cmscore/security/PWsdrCache.java b/pki/base/common/src/com/netscape/cmscore/security/PWsdrCache.java
index e0fe0252d9911b5cade6403a4e848f0216cae88a..4142f6abe02db0193111f37ba99f3608a59d1be9 100644
--- a/pki/base/common/src/com/netscape/cmscore/security/PWsdrCache.java
+++ b/pki/base/common/src/com/netscape/cmscore/security/PWsdrCache.java
@@ -17,7 +17,6 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmscore.security;
 
-import java.io.BufferedReader;
 import java.io.ByteArrayOutputStream;
 import java.io.File;
 import java.io.FileInputStream;
@@ -258,7 +257,7 @@ public class PWsdrCache {
         if (dcrypts != null) {
             // converts to Hashtable, replace if tag exists, add
             //                if tag doesn't exist
-            Hashtable ht = string2Hashtable(dcrypts);
+            Hashtable<String, String> ht = string2Hashtable(dcrypts);
 
             if (ht.containsKey(tag) == false) {
                 debug("adding new tag: " + tag);
@@ -288,7 +287,7 @@ public class PWsdrCache {
         if (dcrypts != null) {
             // converts to Hashtable, replace if tag exists, add
             //                if tag doesn't exist
-            Hashtable ht = string2Hashtable(dcrypts);
+            Hashtable<String, String> ht = string2Hashtable(dcrypts);
 
             if (ht.containsKey(tag) == false) {
                 debug("tag: " + tag + " does not exist");
@@ -489,7 +488,7 @@ public class PWsdrCache {
      * if tag not found, return null, which will cause it to give up
      */
     public Password getEntry(String tag) {
-        Hashtable pwTable = null;
+        Hashtable<String, String> pwTable = null;
         String pw = null;
 
         debug("in getEntry, tag=" + tag);
@@ -555,8 +554,6 @@ public class PWsdrCache {
             Process process = Runtime.getRuntime().exec(cmds);
 
             process.waitFor();
-            BufferedReader pOut = null;
-            String l = null;
 
             if (process.exitValue() == 0) {
 
@@ -604,7 +601,6 @@ public class PWsdrCache {
      * list passwds in pwcache.
      */
     public boolean pprint() {
-        String bufs = null;
         String dcrypts = null;
 
         try {
diff --git a/pki/base/common/src/com/netscape/cmscore/selftests/SelfTestSubsystem.java b/pki/base/common/src/com/netscape/cmscore/selftests/SelfTestSubsystem.java
index 9167cbf11f05ea26eeb9528c70462b05adafd0b9..6fac3d9d7a0c7153baa8a93177fb284705075f1e 100644
--- a/pki/base/common/src/com/netscape/cmscore/selftests/SelfTestSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/selftests/SelfTestSubsystem.java
@@ -82,9 +82,9 @@ public class SelfTestSubsystem
     private String mRootPrefix = null;
     private String mPrefix = null;
 
-    public Hashtable mSelfTestInstances = new Hashtable();
-    public Vector mOnDemandOrder = new Vector();
-    public Vector mStartupOrder = new Vector();
+    public Hashtable<String, ISelfTest> mSelfTestInstances = new Hashtable<String, ISelfTest>();
+    public Vector<SelfTestOrderedInstance> mOnDemandOrder = new Vector<SelfTestOrderedInstance>();
+    public Vector<SelfTestOrderedInstance> mStartupOrder = new Vector<SelfTestOrderedInstance>();
 
     ///////////////////////////
     // ISubsystem parameters //
diff --git a/pki/base/common/src/com/netscape/cmscore/util/StatsSubsystem.java b/pki/base/common/src/com/netscape/cmscore/util/StatsSubsystem.java
index 57eb53f2e4bab97de2fc2aae0fefca62f86c6362..222964261a9d1c90be7f0eb88785646ab13c887d 100644
--- a/pki/base/common/src/com/netscape/cmscore/util/StatsSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/util/StatsSubsystem.java
@@ -41,7 +41,7 @@ public class StatsSubsystem implements IStatsSubsystem {
     private String mId = null;
     private StatsEvent mAllTrans = new StatsEvent(null);
     private Date mStartTime = new Date();
-    private Hashtable mHashtable = new Hashtable();
+    private Hashtable<String, Vector<StatsMilestone>> mHashtable = new Hashtable<String, Vector<StatsMilestone>>();
 
     /**
      * Constructs a certificate server.
@@ -90,11 +90,11 @@ public class StatsSubsystem implements IStatsSubsystem {
 
     public void startTiming(String id, boolean mainAction) {
         Thread t = Thread.currentThread();
-        Vector milestones = null;
+        Vector<StatsMilestone> milestones = null;
         if (mHashtable.containsKey(t.toString())) {
-            milestones = (Vector) mHashtable.get(t.toString());
+            milestones = mHashtable.get(t.toString());
         } else {
-            milestones = new Vector();
+            milestones = new Vector<StatsMilestone>();
             mHashtable.put(t.toString(), milestones);
         }
         long startTime = CMS.getCurrentDate().getTime();
@@ -128,11 +128,11 @@ public class StatsSubsystem implements IStatsSubsystem {
         if (!mHashtable.containsKey(t.toString())) {
             return; /* error */
         }
-        Vector milestones = (Vector) mHashtable.get(t.toString());
+        Vector<StatsMilestone> milestones = mHashtable.get(t.toString());
         if (milestones.size() == 0) {
             return; /* error */
         }
-        StatsMilestone last = (StatsMilestone) milestones.remove(milestones.size() - 1);
+        StatsMilestone last = milestones.remove(milestones.size() - 1);
         StatsEvent st = last.getStatsEvent();
         st.incNoOfOperations(1);
         st.incTimeTaken(endTime - last.getStartTime());
diff --git a/pki/base/common/test/com/netscape/cmscore/dbs/CertRecordListTest.java b/pki/base/common/test/com/netscape/cmscore/dbs/CertRecordListTest.java
index 699a924d0c3a083108ac23ef45ffff5d280aacfa..d3177f62c3d7002a0e0dac85ce1780d042761440 100644
--- a/pki/base/common/test/com/netscape/cmscore/dbs/CertRecordListTest.java
+++ b/pki/base/common/test/com/netscape/cmscore/dbs/CertRecordListTest.java
@@ -22,6 +22,7 @@ import junit.framework.TestSuite;
 
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.dbs.IElementProcessor;
+import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.cmscore.test.CMSBaseTestCase;
 
 public class CertRecordListTest extends CMSBaseTestCase {
@@ -41,7 +42,7 @@ public class CertRecordListTest extends CMSBaseTestCase {
     }
 
     public void testProcessCertRecordsUsesSize() throws EBaseException {
-        DBVirtualListStub dbList = new DBVirtualListStub();
+        DBVirtualListStub<ICertRecord> dbList = new DBVirtualListStub<ICertRecord>();
         dbList.size = 5;
 
         CertRecordList certList = new CertRecordList(dbList);
@@ -57,12 +58,12 @@ public class CertRecordListTest extends CMSBaseTestCase {
         assertEquals(7, dbList.lastIndexGetElementAtCalledWith);
     }
 
-    public class DBVirtualListStub extends DBVirtualListDefaultStub {
+    public class DBVirtualListStub<T> extends DBVirtualListDefaultStub<T> {
         public int size = 0;
         public int getElementAtCallCount = 0;
         public int lastIndexGetElementAtCalledWith = 0;
 
-        public Object getElementAt(int index) {
+        public T getElementAt(int index) {
             getElementAtCallCount++;
             lastIndexGetElementAtCalledWith = index;
 
diff --git a/pki/base/common/test/com/netscape/cmscore/dbs/DBSSessionDefaultStub.java b/pki/base/common/test/com/netscape/cmscore/dbs/DBSSessionDefaultStub.java
index 9ce03b55eb2093c93a290faadd0367186e8e59ec..c00be1f4537ba3d13cdcdf6e47e656634c810d64 100644
--- a/pki/base/common/test/com/netscape/cmscore/dbs/DBSSessionDefaultStub.java
+++ b/pki/base/common/test/com/netscape/cmscore/dbs/DBSSessionDefaultStub.java
@@ -56,7 +56,7 @@ public class DBSSessionDefaultStub implements IDBSSession {
         return null;
     }
 
-    public IDBVirtualList createVirtualList(String base, String filter, String attrs[]) throws EBaseException {
+    public <T> IDBVirtualList<T> createVirtualList(String base, String filter, String attrs[]) throws EBaseException {
         return null;
     }
 
@@ -64,12 +64,12 @@ public class DBSSessionDefaultStub implements IDBSSession {
         return null;
     }
 
-    public IDBVirtualList createVirtualList(String base, String filter, String attrs[], String sortKey, int pageSize)
+    public <T> IDBVirtualList<T> createVirtualList(String base, String filter, String attrs[], String sortKey, int pageSize)
             throws EBaseException {
         return null;
     }
 
-    public IDBVirtualList createVirtualList(String base, String filter, String attrs[], String startFrom,
+    public <T> IDBVirtualList<T> createVirtualList(String base, String filter, String attrs[], String startFrom,
             String sortKey, int pageSize) throws EBaseException {
         return null;
     }
diff --git a/pki/base/common/test/com/netscape/cmscore/dbs/DBVirtualListDefaultStub.java b/pki/base/common/test/com/netscape/cmscore/dbs/DBVirtualListDefaultStub.java
index a750ad5045aa95ebbef2d43089526997bfe39275..d674bd6a65b31f296f085fd94d4c2e364aa4e126 100644
--- a/pki/base/common/test/com/netscape/cmscore/dbs/DBVirtualListDefaultStub.java
+++ b/pki/base/common/test/com/netscape/cmscore/dbs/DBVirtualListDefaultStub.java
@@ -29,7 +29,7 @@ import com.netscape.certsrv.dbs.IElementProcessor;
  * 
  * Do not put any behaviour in this class.
  */
-public class DBVirtualListDefaultStub implements IDBVirtualList {
+public class DBVirtualListDefaultStub<T> implements IDBVirtualList<T> {
 
     public void setPageSize(int size) {
     }
@@ -64,11 +64,11 @@ public class DBVirtualListDefaultStub implements IDBVirtualList {
         return false;
     }
 
-    public Object getElementAt(int index) {
+    public T getElementAt(int index) {
         return null;
     }
 
-    public Object getJumpToElementAt(int i) {
+    public T getJumpToElementAt(int i) {
         return null;
     }
 
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/CMCResponse.java b/pki/base/java-tools/src/com/netscape/cmstools/CMCResponse.java
index e2b1a3633203e1c322cf7c5b4e481eabf73289d5..21e3b418700a1581ab20af9449e8cadbee818f8c 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/CMCResponse.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/CMCResponse.java
@@ -106,8 +106,6 @@ public class CMCResponse {
 
             int numControls = controlSequence.size();
             System.out.println("Number of controls is " + numControls);
-            INTEGER bodyPartId = null;
-            String error = "";
 
             for (int i = 0; i < numControls; i++) {
                 TaggedAttribute taggedAttr = (TaggedAttribute) controlSequence.elementAt(i);
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/PasswordCache.java b/pki/base/java-tools/src/com/netscape/cmstools/PasswordCache.java
index 470e06cf900d56df37ddf5065700091b981780f8..e4d8106f7381c96cd94dae4bdf706659bc6e6754 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/PasswordCache.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/PasswordCache.java
@@ -835,7 +835,6 @@ class PWsdrCache {
      * list passwds in pwcache.
      */
     public boolean pprint() {
-        String bufs = null;
         String dcrypts = null;
 
         try {
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/TestCRLSigning.java b/pki/base/java-tools/src/com/netscape/cmstools/TestCRLSigning.java
index 10956748dfade18a054305f6e0e2e114eb2f10ff..369010abf345275e7edca12dd71fbb26903fe9a3 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/TestCRLSigning.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/TestCRLSigning.java
@@ -23,6 +23,7 @@ import java.util.Date;
 import java.util.Hashtable;
 
 import netscape.security.x509.RevokedCertImpl;
+import netscape.security.x509.RevokedCertificate;
 import netscape.security.x509.X500Name;
 import netscape.security.x509.X509CRLImpl;
 
@@ -76,10 +77,10 @@ public class TestCRLSigning {
         // generate revoked certificates
         long startPutting = System.currentTimeMillis();
         Date curDate = new Date();
-        Hashtable badCerts = new Hashtable();
+        Hashtable<BigInteger, RevokedCertificate> badCerts = new Hashtable<BigInteger, RevokedCertificate>();
         int n = Integer.parseInt(num);
         for (int i = 0; i < n; i++) {
-            badCerts.put(Integer.toString(i),
+            badCerts.put(new BigInteger(Integer.toString(i)),
                     new RevokedCertImpl(new BigInteger(Integer.toString(i)), curDate));
         }
         long endPutting = System.currentTimeMillis();
diff --git a/pki/base/kra/src/com/netscape/kra/EnrollmentService.java b/pki/base/kra/src/com/netscape/kra/EnrollmentService.java
index b9df360b09b6db332228bccb157af9fe4b6f9c3f..e32009c034972cf30c1079692800eba8971bb171 100644
--- a/pki/base/kra/src/com/netscape/kra/EnrollmentService.java
+++ b/pki/base/kra/src/com/netscape/kra/EnrollmentService.java
@@ -517,7 +517,7 @@ public class EnrollmentService implements IService {
             privateKeyIn.getSequence(0);
             DerValue privateKeyDer = new DerValue(privateKeyIn.getOctetString());
             DerInputStream privateKeyDerIn = privateKeyDer.data;
-            BigInt privateKeyVersion = privateKeyDerIn.getInteger();
+            //BigInt privateKeyVersion = privateKeyDerIn.getInteger();
             BigInt privateKeyModulus = privateKeyDerIn.getInteger();
             BigInt privateKeyExponent = privateKeyDerIn.getInteger();
 
@@ -553,7 +553,7 @@ public class EnrollmentService implements IService {
      */
     public static PKIArchiveOptionsContainer[] getPKIArchiveOptions(String crmfBlob)
             throws EBaseException {
-        Vector options = new Vector();
+        Vector<PKIArchiveOptionsContainer> options = new Vector<PKIArchiveOptionsContainer>();
 
         if (CMS.debugOn())
             CMS.debug("EnrollmentService::getPKIArchiveOptions> crmfBlob=" + crmfBlob);
diff --git a/pki/base/kra/src/com/netscape/kra/KRAService.java b/pki/base/kra/src/com/netscape/kra/KRAService.java
index 916ebe3bb23b7e059009eaa333aa20c8b34db175..03986671ec6914a23c6b4d3ad8f1e7dad5f756da 100644
--- a/pki/base/kra/src/com/netscape/kra/KRAService.java
+++ b/pki/base/kra/src/com/netscape/kra/KRAService.java
@@ -49,7 +49,7 @@ public class KRAService implements IService {
 
     // private variables
     private IKeyRecoveryAuthority mKRA = null;
-    private Hashtable mServices = new Hashtable();
+    private Hashtable<String, IService> mServices = new Hashtable<String, IService>();
 
     /**
      * Constructs KRA service.
@@ -75,8 +75,7 @@ public class KRAService implements IService {
                     r.getRequestId().toString());
         mKRA.log(ILogger.LL_INFO, "KRA services request " +
                 r.getRequestId().toString());
-        IService s = (IService) mServices.get(
-                r.getRequestType());
+        IService s = mServices.get(r.getRequestType());
 
         if (s == null) {
             r.setExtData(IRequest.RESULT, IRequest.RES_ERROR);
diff --git a/pki/base/kra/src/com/netscape/kra/RecoveryService.java b/pki/base/kra/src/com/netscape/kra/RecoveryService.java
index 8958695c1c9fabbb335ec05fe9ea68b8e3ee4a27..0e9c7d2bc6f231c62724a14c017abeae3fbe2262 100644
--- a/pki/base/kra/src/com/netscape/kra/RecoveryService.java
+++ b/pki/base/kra/src/com/netscape/kra/RecoveryService.java
@@ -168,7 +168,7 @@ public class RecoveryService implements IService {
         // byte publicKey[] = (byte[])request.get(ATTR_PUBLIC_KEY_DATA);
         // X500Name owner = (X500Name)request.get(ATTR_OWNER_NAME);
 
-        Hashtable params = mKRA.getVolatileRequest(
+        Hashtable<String, Object> params = mKRA.getVolatileRequest(
                 request.getRequestId());
 
         if (params == null) {
@@ -345,7 +345,7 @@ public class RecoveryService implements IService {
             privateKeyIn.getSequence(0);
             DerValue privateKeyDer = new DerValue(privateKeyIn.getOctetString());
             DerInputStream privateKeyDerIn = privateKeyDer.data;
-            BigInt privateKeyVersion = privateKeyDerIn.getInteger();
+            //BigInt privateKeyVersion = privateKeyDerIn.getInteger();
             BigInt privateKeyModulus = privateKeyDerIn.getInteger();
             BigInt privateKeyExponent = privateKeyDerIn.getInteger();
 
@@ -372,7 +372,7 @@ public class RecoveryService implements IService {
      * Recovers key. (using unwrapping/wrapping on token)
      * - used when allowEncDecrypt_recovery is false
      */
-    public synchronized PrivateKey recoverKey(Hashtable request, KeyRecord keyRecord, boolean isRSA)
+    public synchronized PrivateKey recoverKey(Hashtable<String, Object> request, KeyRecord keyRecord, boolean isRSA)
             throws EBaseException {
 
         if (!isRSA) {
@@ -437,7 +437,7 @@ public class RecoveryService implements IService {
      * @param priKey private key handle
      * @exception EBaseException failed to create P12 file
      */
-    public void createPFX(IRequest request, Hashtable params,
+    public void createPFX(IRequest request, Hashtable<String, Object> params,
             PrivateKey priKey, CryptoToken ct) throws EBaseException {
         CMS.debug("RecoverService: createPFX() allowEncDecrypt_recovery=false");
         try {
@@ -531,7 +531,7 @@ public class RecoveryService implements IService {
      * Recovers key.
      * - used when allowEncDecrypt_recovery is true
      */
-    public synchronized byte[] recoverKey(Hashtable request, KeyRecord keyRecord)
+    public synchronized byte[] recoverKey(Hashtable<String, Object> request, KeyRecord keyRecord)
             throws EBaseException {
         if (CMS.getConfigStore().getBoolean("kra.keySplitting")) {
             Credential creds[] = (Credential[])
@@ -562,7 +562,7 @@ public class RecoveryService implements IService {
      * @param priData decrypted private key (PrivateKeyInfo)
      * @exception EBaseException failed to create P12 file
      */
-    public void createPFX(IRequest request, Hashtable params,
+    public void createPFX(IRequest request, Hashtable<String, Object> params,
             byte priData[]) throws EBaseException {
         CMS.debug("RecoverService: createPFX() allowEncDecrypt_recovery=true");
         try {
diff --git a/pki/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java b/pki/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java
index 0b84926d1d895532ae656730d9b65abc8025cebb..3a860f447c1d5ff1688e3e00e97e56b2dd10ca5b 100644
--- a/pki/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java
+++ b/pki/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java
@@ -225,7 +225,7 @@ public class TokenKeyRecoveryService implements IService {
                     (String) sContext.get(SessionContext.USER_ID);
         }
 
-        Hashtable params = mKRA.getVolatileRequest(
+        Hashtable<String, Object> params = mKRA.getVolatileRequest(
                  request.getRequestId());
 
         if (params == null) {
@@ -579,7 +579,7 @@ public class TokenKeyRecoveryService implements IService {
     /**
      * Recovers key.
      */
-    public synchronized byte[] recoverKey(Hashtable request, KeyRecord keyRecord)
+    public synchronized byte[] recoverKey(Hashtable<String, Object> request, KeyRecord keyRecord)
             throws EBaseException {
         /*
             Credential creds[] = (Credential[])
diff --git a/pki/base/ocsp/src/com/netscape/ocsp/OCSPAuthority.java b/pki/base/ocsp/src/com/netscape/ocsp/OCSPAuthority.java
index 91763ed83f023b8345f38e145914b53d981ae94b..466a59b57c899f77e23cdabbe3c16230858ce31d 100644
--- a/pki/base/ocsp/src/com/netscape/ocsp/OCSPAuthority.java
+++ b/pki/base/ocsp/src/com/netscape/ocsp/OCSPAuthority.java
@@ -81,13 +81,13 @@ public class OCSPAuthority implements IOCSPAuthority, IOCSPService, ISubsystem,
 
     public final static OBJECT_IDENTIFIER OCSP_NONCE = new OBJECT_IDENTIFIER("1.3.6.1.5.5.7.48.1.2");
 
-    private Hashtable mStores = new Hashtable();
+    private Hashtable<String, IOCSPStore> mStores = new Hashtable<String, IOCSPStore>();
     private String mId = "ocsp";
     private IConfigStore mConfig = null;
     private SigningUnit mSigningUnit;
     private CertificateChain mCertChain = null;
     private X509CertImpl mCert = null;
-    private String[] mSigningAlgorithms = null;
+    //private String[] mSigningAlgorithms = null;
     private X500Name mName = null;
     private String mNickname = null;
     private String[] mOCSPSigningAlgorithms = null;
@@ -172,7 +172,7 @@ public class OCSPAuthority implements IOCSPAuthority, IOCSPService, ISubsystem,
      * Retrieves the specificed OCSP store.
      */
     public IOCSPStore getOCSPStore(String id) {
-        return (IOCSPStore) mStores.get(id);
+        return mStores.get(id);
     }
 
     public IConfigStore getOCSPStoreConfig(String id) {
@@ -452,7 +452,6 @@ public class OCSPAuthority implements IOCSPAuthority, IOCSPService, ISubsystem,
 
             DerOutputStream tmpChain = new DerOutputStream();
             DerOutputStream tmp1 = new DerOutputStream();
-            DerOutputStream outChain = new DerOutputStream();
             java.security.cert.X509Certificate chains[] =
                     mCertChain.getChain();
 
diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureDRM.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureDRM.java
index 3dd708a3a22877f3fb643d7d5e82aaa0f1f769ed..caf393ad9b416c6fd95771efabde7592e4864fa3 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureDRM.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureDRM.java
@@ -225,7 +225,6 @@ public class ConfigureDRM {
     }
 
     public boolean TokenChoicePanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -273,7 +272,6 @@ public class ConfigureDRM {
     }
 
     public boolean DomainPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -299,14 +297,8 @@ public class ConfigureDRM {
     }
 
     public boolean DisplayChainPanel() {
-        boolean st = false;
-        HTTPResponse hr = null;
-        ByteArrayInputStream bais = null;
-        ParseXML px = new ParseXML();
-        String query_string = null;
-
-        query_string = "p=4" + "&op=next" + "&xml=true";
-        hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
+        String query_string = "p=4" + "&op=next" + "&xml=true";
+        hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
 
         return true;
 
@@ -314,10 +306,7 @@ public class ConfigureDRM {
 
     public boolean SecurityDomainLoginPanel() {
         try {
-            boolean st = false;
             HTTPResponse hr = null;
-            ByteArrayInputStream bais = null;
-            ParseXML px = new ParseXML();
 
             String kra_url = "https://" + cs_hostname + ":" + cs_port +
                             "/kra/admin/console/config/wizard" +
@@ -374,7 +363,6 @@ public class ConfigureDRM {
     }
 
     public boolean SubsystemPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -424,7 +412,6 @@ public class ConfigureDRM {
     }
 
     public boolean LdapConnectionPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -452,7 +439,6 @@ public class ConfigureDRM {
     }
 
     public boolean KeyPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -540,7 +526,6 @@ public class ConfigureDRM {
     }
 
     public boolean CertSubjectPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -611,14 +596,9 @@ public class ConfigureDRM {
     }
 
     public boolean CertificatePanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
-        ArrayList<String> req_list = null;
-        ArrayList<String> cert_list = null;
-        ArrayList<String> dn_list = null;
-        ArrayList<String> pp_list = null;
 
         String query_string = "p=10" + "&op=next" + "&xml=true" +
                             "&subsystem=" +
@@ -648,7 +628,6 @@ public class ConfigureDRM {
     }
 
     public boolean BackupPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -669,7 +648,6 @@ public class ConfigureDRM {
     }
 
     public boolean SavePKCS12Panel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -692,7 +670,7 @@ public class ConfigureDRM {
             String line = null;
             while ((line = br.readLine()) != null)
                 System.out.println("Error: " + line);
-            int exitVal = proc.waitFor();
+            proc.waitFor();
 
             // verify p12 file
 
@@ -729,7 +707,6 @@ public class ConfigureDRM {
     }
 
     public boolean AdminCertReqPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -788,8 +765,6 @@ public class ConfigureDRM {
     public boolean AdminCertImportPanel() {
         boolean st = false;
         HTTPResponse hr = null;
-        ByteArrayInputStream bais = null;
-        ParseXML px = new ParseXML();
 
         String query_string = "serialNumber=" + admin_serial_number +
                             "&importCert=" + "true";
@@ -826,7 +801,6 @@ public class ConfigureDRM {
     }
 
     public boolean UpdateDomainPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
